Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.httpsession.beanimpl.ejb
Class ClusteredHTTPSessionBeanImpl

    java.lang.Object
      org.jboss.ha.httpsession.beanimpl.ejb.ClusteredHTTPSessionBeanAbstract
          org.jboss.ha.httpsession.beanimpl.ejb.ClusteredHTTPSessionBeanImpl

All Implemented Interfaces:
  ClusteredHTTPSessionBusiness, javax.ejb.EnterpriseBean, javax.ejb.EntityBean, Serializable

Direct Known Subclasses:
  ClusteredHTTPSessionBeanCmp11

public abstract class ClusteredHTTPSessionBeanImpl
extends ClusteredHTTPSessionBeanAbstract

Core implementation of methods for the bean.

Version:
  $Revision: 1.4 $
Author:
  Sacha Labourey.
See Also:
  `ClusteredHTTPSession`, `ClusteredHTTPSessionBeanAbstract`, Serialized Form

Field Summary
`protected boolean` | `isModified`
`protected SerializableHttpSession` | `tmpSession`

Fields inherited from class org.jboss.ha.httpsession.beanimpl.ejb.ClusteredHTTPSessionBeanAbstract
`ejbContext`

Constructor Summary
`ClusteredHTTPSessionBeanImpl()`

Method Summary
`void` | `ejbLoad()`
`void` | `ejbStore()`
`SerializableHttpSession` | `getSession()` Return the HttpSession object associated to its id.
`boolean` | `isModified()`
`protected void` | `serializeSession()`
`void` | `setSession(SerializableHttpSession session)` Associate a new session (set of attributes, ...) to this id.
`protected void` | `unserializeSession()`

Methods inherited from class org.jboss.ha.httpsession.beanimpl.ejb.ClusteredHTTPSessionBeanAbstract
`ejbActivate, ejbCreate, ejbCreate, ejbPassivate, ejbPostCreate, ejbPostCreate, ejbRemove, getCreationTime, getEntityContext, getLastAccessedTime, getSerializedSession, getSessionId, setCreationTime, setEntityContext, setLastAccessedTime, setSerializedSession, setSessionId, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### tmpSession

    protected SerializableHttpSession tmpSession

### isModified

    protected boolean isModified

Constructor Detail

### ClusteredHTTPSessionBeanImpl

    public ClusteredHTTPSessionBeanImpl()

Method Detail

### ejbStore

    public void ejbStore()
                  throws javax.ejb.EJBException,
                         RemoteException

  Specified by:
    `ejbStore` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbStore` in class `ClusteredHTTPSessionBeanAbstract`
  Throws:
    `javax.ejb.EJBException`
    `RemoteException`

### ejbLoad

    public void ejbLoad()
                 throws javax.ejb.EJBException,
                        RemoteException

  Specified by:
    `ejbLoad` in interface `javax.ejb.EntityBean`
  Overrides:
    `ejbLoad` in class `ClusteredHTTPSessionBeanAbstract`
  Throws:
    `javax.ejb.EJBException`
    `RemoteException`

### getSession

    public SerializableHttpSession getSession()

  Description copied from interface: `ClusteredHTTPSessionBusiness`
  Return the HttpSession object associated to its id. The main difference with the standard class is that this one is Serializable.

  Specified by:
    `getSession` in interface `ClusteredHTTPSessionBusiness`
  Specified by:
    `getSession` in class `ClusteredHTTPSessionBeanAbstract`

### setSession

    public void setSession(SerializableHttpSession session)

  Description copied from interface: `ClusteredHTTPSessionBusiness`
  Associate a new session (set of attributes, ...) to this id.

  Specified by:
    `setSession` in interface `ClusteredHTTPSessionBusiness`
  Specified by:
    `setSession` in class `ClusteredHTTPSessionBeanAbstract`

### isModified

    public boolean isModified()

  Specified by:
    `isModified` in class `ClusteredHTTPSessionBeanAbstract`

### serializeSession

    protected void serializeSession()
                             throws javax.ejb.EJBException

  Throws:
    `javax.ejb.EJBException`

### unserializeSession

    protected void unserializeSession()
                               throws javax.ejb.EJBException

  Throws:
    `javax.ejb.EJBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.